Skip to main content

Refunds


A refund is a follow-on request that uses the request ID from the initiate sale response. The request ID links the refund to the initiate sale.

Refund Restrictions

Multiple partial refunds are allowed. Partial refunds are not allowed for mobile billing payments or escrow payments. Partial refunds are not allowed when a green tax was present in the initiate sale request using the orderInformation.amountDetails.taxDetails[].type field. Refunds using the API service are not allowed for escrow payments.

When using the orderInformation.amountDetails.taxDetails[].type field, the types of refunds you can request are determined by the field's value:

Green Tax ValueRefund Types Allowed
0Both partial and full refunds are allowed.
Greater than 0Only full refunds are allowed.
nullBoth partial and full refunds are allowed.

Endpoints

POST /pts/v2/payments/{id}/refunds

POST /pts/v2/payments/{id}/refunds

The {id} is the request ID contained in the original transaction request.

Example

{  "clientReferenceInformation": {    "code": "refnum-1234"  },  "paymentInformation": {    "paymentType": {      "name": "LOCALCARD",      "method": {        "name": "KCP"      }    }  },  "processingInformation": {    "actionList": "AP_REFUND"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "10",      "currency": "KRW"    }  }}
{    "_links": {        "self": {            "method": "GET",            "href": "/pts/v2/refunds/7202083841056082403955"        },        "status": {            "method": "POST",            "href": "/pts/v2/refresh-payment-status/7202083841056082403955"        }    },    "clientReferenceInformation": {        "code": "refnum-1234"    },    "id": "7202083841056082403955",    "orderInformation": {        "amountDetails": {            "currency": "KRW"        }    },    "processorInformation": {        "responseDetails": "0000",        "transactionId": "20130530123456"    },    "refundAmountDetails": {        "refundAmount": "10"    },    "submitTimeUtc": "2024-07-05T19:39:44Z"}
FieldTypeDescription
clientReferenceInformation.codeMerchant-generated order reference or tracking number.
orderInformation.amountDetails.currencySet to KRW.
orderInformation.amountDetails.totalAmountThe refund amount.
paymentInformation.paymentType.method.nameSet to one of these possible values: KAKAOPAY (Kakaopay), KCP (credit card, mobile billing, or real-time bank transfer), NAVERPAY (Naverpay), or PAYCO (Payco).
paymentInformation.paymentType.nameSet to one of these possible values: BANKTRANSFER (bank transfer), CARRIERBILLING (carrier billing), EWALLET (Kakaopay, Naverpay, and Payco), or LOCALCARD (card charge).
processingInformation.actionListSet to AP_REFUND.
Optional Fields
FieldTypeDescription
processingInformation.refundOptions.reasonThe reason for the refund.
orderInformation.billTo.emailCustomer email.
orderInformation.billTo.firstNameCustomer first name.
orderInformation.billTo.lastNameCustomer last name.
orderInformation.billTo.phoneNumberCustomer telephone number.
installmentInformation.frequencyInstallment payment frequency for credit card payments only.
orderInformation.amountDetails.taxDetails[].typeSet to GREEN. You cannot use this field for partial refunds if this field was present in the initiate sale request. For more information, see Refund Restrictions.
orderInformation.amountDetails.taxAmountThe green tax amount.

Response Codes and Statuses

After sending an API request, sends you a response message that includes a reason code in the HTTP response. Reason codes can be added at any time.

Refund Test Information

In the test environment, you can simulate the specific error messages that you receive from transaction requests by using test triggers. Test triggers are request field values that can generate specific responses in the response messages. The simulated environment enables you to become familiar with the response messages and develop methods for error handling.

To simulate a test, set the clientReferenceInformation.reconciliationId field to a value listed in the Trigger Value column.

Trigger ValueProcessor Response Code Response
Any value excluding the values below.0000success
1101152300011000Missing mandatory value
1101152300022000Invalid value, format error
1101152300033000System Error
110115230004C000Please contact the card issuer for further assistance.
110115230005A000Please contact your bank for further assistance.
110115230006M000Mobile billing is not available for your carrier plan.
1101152300074000New error
110115230008, 110115230009, or 1101152300100000success
1101152300112000The request exceeds refund amount.

Last published: September 29, 2026